<html lang="en">
<head>
<title>Basic Key Bindings - Speedbar: File/Tag summarizing utility</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Speedbar: File/Tag summarizing utility">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Basic-Navigation.html#Basic-Navigation" title="Basic Navigation">
<link rel="prev" href="Basic-Navigation.html#Basic-Navigation" title="Basic Navigation">
<link rel="next" href="Basic-Visuals.html#Basic-Visuals" title="Basic Visuals">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Basic-Key-Bindings"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Basic-Visuals.html#Basic-Visuals">Basic Visuals</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Basic-Navigation.html#Basic-Navigation">Basic Navigation</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Basic-Navigation.html#Basic-Navigation">Basic Navigation</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h3 class="section">2.1 Basic Key Bindings</h3>

<p><a name="index-key-bindings-3"></a>
These key bindings are common across all modes:

     <dl>
<dt><kbd>Q</kbd><dd><a name="index-quitting-speedbar-4"></a>Quit speedbar, and kill the frame. 
<br><dt><kbd>q</kbd><dd>Quit speedbar, and hide the frame.  This makes it faster to restore the
speedbar frame, than if you press <kbd>Q</kbd>. 
<br><dt><kbd>g</kbd><dd><a name="index-refresh-speedbar-display-5"></a>Refresh whatever contents are in speedbar. 
<br><dt><kbd>t</kbd><dd><a name="index-slowbar-mode-6"></a>Toggle speedbar to and from slowbar mode.  In slowbar mode, frame
tracking is not done. 
<br><dt><kbd>n</kbd><dt><kbd>p</kbd><dd><a name="index-navigation-7"></a>Move, respectively, to the next or previous item.  A summary of that
item will be displayed in the attached frame's minibuffer. 
<br><dt><kbd>M-n</kbd><dt><kbd>M-p</kbd><dd>Move to the next or previous item in a restricted fashion.  If a list is
open, the cursor will skip over it.  If the cursor is in an open list,
it will not leave it. 
<br><dt><kbd>C-M-n</kbd><dt><kbd>C-M-n</kbd><dd>Move forwards and backwards across extended groups.  This lets you
quickly skip over all files, directories, or other common sub-items at
the same current depth. 
<br><dt><kbd>C-x b</kbd><dd>Switch buffers in the attached frame. 
</dl>

   <p>Speedbar can handle multiple modes.  Two are provided by default. 
These modes are File mode, and Buffers mode.  There are accelerators to
switch into these different modes.

   <p><a name="index-mode-switching-hotkeys-8"></a>
     <dl>
<dt><kbd>b</kbd><dd>Switch into Quick Buffers mode (see <a href="Buffer-Mode.html#Buffer-Mode">Buffer Mode</a>).  After one use, the
previous display mode is restored. 
<br><dt><kbd>f</kbd><dd>Switch into File mode. 
<br><dt><kbd>r</kbd><dd>Switch back to the previous mode. 
</dl>

   <p>Some modes provide groups, lists and tags.  See <a href="Basic-Visuals.html#Basic-Visuals">Basic Visuals</a>.  When
these are available, some additional common bindings are available.

   <p><a name="index-common-keys-9"></a>
     <dl>
<dt><kbd>RET</kbd><dt><kbd>e</kbd><dd>Edit/Open the current group or tag.  This behavior is dependent on the
mode.  In general, files or buffers are opened in the attached frame,
and directories or group nodes are expanded locally. 
<br><dt><kbd>+</kbd><dt><kbd>=</kbd><dd>Expand the current group, displaying sub items. 
When used with a prefix argument, any data that may have been cached is
flushed.  This is similar to a power click.  See <a href="Mouse-Bindings.html#Mouse-Bindings">Mouse Bindings</a>. 
<br><dt><kbd>-</kbd><dd>Contract the current group, hiding sub items. 
</dl>

   </body></html>

